package com.ruixuan.jinniu.mapper;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.jinniu.entity.KuaishouProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目信息Mapper接口
 *
 * @author ruoyi
 * @date 2023-03-14
 */
public interface KuaishouProjectMapper {
    /**
     * 查询项目信息
     *
     * @param id 项目信息主键
     * @return 项目信息
     */
    public KuaishouProject selectKuaishouProjectById(Long id);

    /**
     * 查询项目信息列表
     *
     * @param kuaishouProject 项目信息
     * @return 项目信息集合
     */
    public List<KuaishouProject> selectKuaishouProjectList(KuaishouProject kuaishouProject);

    /**
     * 新增项目信息
     *
     * @param kuaishouProject 项目信息
     * @return 结果
     */
    public int insertKuaishouProject(KuaishouProject kuaishouProject);

    /**
     * 修改项目信息
     *
     * @param kuaishouProject 项目信息
     * @return 结果
     */
    public int updateKuaishouProject(KuaishouProject kuaishouProject);

    /**
     * 删除项目信息
     *
     * @param id 项目信息主键
     * @return 结果
     */
    public int deleteKuaishouProjectById(Long id);

    List<JSONObject> getOcpxActionType();

    List<KuaishouProject> getMyProjects(KuaishouProject kuaishouProject);

    List<Long> getMyProjectIdsByUserIds(@Param("userList") List<Long> userList);

    List<JSONObject> getProjectsByMedia(@Param("userList") List<Long> userList, @Param("mediaCode") String mediaCode);
}